v1.0.0
OpenAPI 3.1.0

Delete a customer

US region

Client Libraries

Delete a customer

Deleting a customer removes them, and all of their information, from Customer.io.

NOTE: Calls that update customers by ID can also create a customer. If you send data to Customer.io through other means (like the Javascript snippet), after you delete a customer, you may accidentally recreate the customer. You cannot delete a customer using the Javascript snippet alone.

Path Parameters
  • identifier
    required

    The unique value representing a person. The values you use to identify a person may be an id, email address, or the cio_id (when updating people), depending on your workspace settings. When you reference people by cio_id, you must prefix the value with cio_.

    You can't reference a person by their phone number here. We determine the identifier type from the shape of the value, so a phone number in the path is treated as an id. To identify people by phone number, use the Track v2 API.

    • Type: string · id

      The unique identifier for a person that you want to create or modify.

Responses
  • 200

    A successful request returns an empty object response.

  • 401

    Unauthorized request. Make sure that you provided the right credentials.

Request Example for delete/api/v1/customers/{identifier}
const { TrackClient, RegionUS } = require('customerio-node');
let cio = new TrackClient(siteId, apiKey, { region: RegionUS });

// Depending on your workspace settings, the id (5) may be an email address.
cio.destroy(5);

No Body